//===================================================================================================
//
//	MainFrame.h
//
//	(c) 1996 by Apple Computer, Inc., all rights reserved.
//		(Print at 85% 9 pt Monaco)
//
//	History:
//		02/01/96	Damon Cokenias		Created
//
//===================================================================================================

#ifndef MAINFRAME_H
#define MAINFRAME_H

#ifndef FWFRAME_H
#include <FWFrame.h>
#endif

class CPluginStarterPart;

class CMainFrame : public FW_CFrame
{
public:
FW_DECLARE_AUTO (CMainFrame)
							CMainFrame (Environment* ev, ODFrame* odFrame,
									FW_CPresentation* presentation, CPluginStarterPart* part);
	virtual					~CMainFrame ();

	virtual void 			Draw(Environment* ev, ODFacet* odFacet, ODShape* invalidShape);
	virtual void 			FrameShapeChanged (Environment* ev);
	virtual void			FacetAdded (Environment* ev, ODFacet* odFacet, unsigned short facetCount);
	
public:
	static const FW_CRect	kDefaultBounds;
	
private:
	CPluginStarterPart*		fPart;
	
};

#endif
