//===================================================================================================
//
//	PluginContent.cpp
//
//	(c) 1996 by Apple Computer, Inc., all rights reserved.
//		(Print at 85% 9 pt Monaco)
//
//	History:
//		01/31/96	Damon Cokenias		Created
//
//===================================================================================================

//	This part has no content.  The following class definition is to satisfy ODF.

#ifndef PLUGINCONTENT_H
#include "PluginContent.h"
#endif

#ifndef PLUGINPART_H
#include "PluginPart.h"
#endif

CPluginStarterContent::CPluginStarterContent (Environment* ev, CPluginStarterPart* part) :
		FW_CContent (ev, part),
		fPluginStarterPart (part)
{
}

CPluginStarterContent::~CPluginStarterContent ()
{
}

void CPluginStarterContent::Externalize (Environment* ev, ODStorageUnit* storageUnit,
							FW_EStorageKinds storageKind, FW_CCloneInfo* cloneInfo)
{
}
											
FW_Boolean CPluginStarterContent::Internalize (Environment* ev, ODStorageUnit* storageUnit, 
										FW_EStorageKinds storageKind, FW_CCloneInfo* cloneInfo)
{
	if (storageUnit -> Exists (ev, kODPropContents, fPluginStarterPart -> GetPartKind(ev), 0)) {
	
		// we have no data to internalize
	
		return true;
	} else
		return false;
}
