//===================================================================================================
//
//	PluginContent.h
//
//	(c) 1996 by Apple Computer, Inc., all rights reserved.
//		(Print at 85% 9 pt Monaco)
//
//	History:
//		01/31/96	Damon Cokenias		Created
//
//===================================================================================================

//	This part has no content.  The following class declaration is to satisfy ODF.

#ifndef PLUGINCONTENT_H
#define PLUGINCONTENT_H

#ifndef FWCONTNT_H
#include <FWContnt.h>
#endif

class CPluginStarterPart;

class CPluginStarterContent : public FW_CContent
{
public:

					CPluginStarterContent (Environment* ev, CPluginStarterPart* part);
	virtual			~CPluginStarterContent ();

	virtual void					Externalize (Environment* ev, ODStorageUnit* storageUnit,
										FW_EStorageKinds storageKind, FW_CCloneInfo* cloneInfo);
											
	virtual FW_Boolean				Internalize (Environment* ev, ODStorageUnit* storageUnit, 
										FW_EStorageKinds storageKind, FW_CCloneInfo* cloneInfo);
private:
	CPluginStarterPart*				fPluginStarterPart;

};

#endif